Package org.eclipse.ecf.provider.jslp.container

# Class JSLPServiceInfo

java.lang.Object
org.eclipse.ecf.discovery.ServiceInfo
org.eclipse.ecf.provider.jslp.container.JSLPServiceInfo

All Implemented Interfaces:
  `Serializable`, `org.eclipse.core.runtime.IAdaptable`, `IServiceInfo`

public class JSLPServiceInfo extends ServiceInfo implements IServiceInfo

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.ecf.discovery.ServiceInfo

`DEFAULT_PRIORITY, DEFAULT_TTL, DEFAULT_WEIGHT, priority, properties, serviceID, serviceName, timeToLive, UNKNOWN_PROTOCOL, weight`

## Constructor Summary

Constructors
Constructor
Description
`JSLPServiceInfo(String aServiceName, org.eclipse.ecf.internal.provider.jslp.ServiceURLAdapter anAdapter, int priority, int weight, org.eclipse.ecf.internal.provider.jslp.ServicePropertiesAdapter aServicePropertiesAdapter)`
`JSLPServiceInfo(IServiceInfo aSI)`

## Method Summary

Modifier and Type
Method
Description
`ch.ethz.iks.slp.ServiceURL`
`getServiceURL()`

### Methods inherited from class org.eclipse.ecf.discovery.ServiceInfo

`getAdapter, getLocation, getPriority, getServiceID, getServiceName, getServiceProperties, getTTL, getWeight, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.discovery.IServiceInfo

`getLocation, getPriority, getServiceID, getServiceName, getServiceProperties, getTTL, getWeight`

## Constructor Details

### JSLPServiceInfo

public JSLPServiceInfo(IServiceInfo aSI) throws IDCreateException

Throws:
  `IDCreateException`

### JSLPServiceInfo

public JSLPServiceInfo(String aServiceName, org.eclipse.ecf.internal.provider.jslp.ServiceURLAdapter anAdapter, int priority, int weight, org.eclipse.ecf.internal.provider.jslp.ServicePropertiesAdapter aServicePropertiesAdapter)

Parameters:
  `aServiceName` - service name
  `anAdapter` - service url adapter
  `priority` - priority
  `weight` - weight
  `aServicePropertiesAdapter` - service properties adapter
Since:
  3.0

## Method Details

### getServiceURL

public ch.ethz.iks.slp.ServiceURL getServiceURL() throws ch.ethz.iks.slp.ServiceLocationException

Throws:
  `ch.ethz.iks.slp.ServiceLocationException`